local _log = function()
end

if (commonapi ~= nil and commonapi.utils ~= nil) then
	_log = commonapi.utils.logPrep("eis_os_linedestinationpatcher")
end

local function metadataHandlerLabelList(filename, data)
	if (data.metadata == nil) then
		return data
	end

	if (data.metadata.transportVehicle == nil) then
		return data
	end

	if (data.metadata.labelList == nil or data.metadata.labelList.labels == nil) then
		return data
	end
	local labels = data.metadata.labelList.labels

	for k, label in ipairs(labels) do
		if (label.type == "LINE_NAME") then

			if (label.filter == "NUMBER" or label.filter == "CUSTOM") then
				;
			else 
				label.type = "LINE_DESTINATION"
				_log("Patching LINE_NAME to LINE_DESTINATION in "..filename)
			end
		end
	end
	return data
end

function data()
return {
	info = {
		minorVersion = 0,
		severityAdd = "NONE",
		severityRemove = "NONE",
		name = _("eis_os_linedestinationpatcher"),
		description = _("eis_os_linedestinationpatcher_desc"),
		authors = {
			{
			  name = "eis_os",
			  role = "CREATOR",
			  text = "",
			}
		},
		tags = {"Script Mod"},
	},
	runFn = function (settings)
		if (commonapi ~= nil and commonapi.supports and commonapi.supports("LINE_DESTINATION")) then
			_log("Adding modifier")
			addModifier( "loadModel", metadataHandlerLabelList )
		else
			print("LINE_DESTINATION not supported")
		end
	end
}
end